hw-prim-0.6.3.2: Primitive functions and data types

Safe Haskell | Safe-Inferred
Language | Haskell2010

HaskellWorks.Data.Naive

# Documentation

newtype Naive a #

Constructors

Naive a |

#### Instances

Instances details

Show a => Show (Naive a) # |
Instance details Defined in HaskellWorks.Data.Naive Methods showsPrec :: Int -> Naive a -> ShowS # show :: Naive a -> String # showList :: [Naive a] -> ShowS #
Eq a => Eq (Naive a) # |
Instance details Defined in HaskellWorks.Data.Naive Methods (==) :: Naive a -> Naive a -> Bool # (/=) :: Naive a -> Naive a -> Bool #

naive :: Naive a -> a #